﻿//
// ConsoleCSharp
//
// Copyright (c) 2019 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;

namespace ConsoleCSharp
{
    class Program
    {
        static void Main(string[] args)
        {
            // == 数値を「3桁カンマ区切りの文字列」に変換 =======================

            //================================================================
            // string.Format
            //================================================================
            int intValue1 = 5800;
            string formatValue = string.Format("合計は{0:#,0}円です。", intValue1);

            // 結果 = "合計は5,800円です。"
            Console.WriteLine(formatValue);


            //================================================================
            // 文字列補間(string interpolation) 
            // C#6(Visual Studio 2015, .NET Framework 4.6) より可能
            //================================================================
            int intValue2 = 6800;
            string formatValue2 = $"合計は{intValue2:#,0}円です。";

            // 結果 = "合計は6,800円です。"
            Console.WriteLine(formatValue2);


            Console.ReadLine();
        }
    }
}
